import PermissionChecker from '../../services/user/permissionChecker'
import Permissions from '../../security/permissions'
import IntegrationService from '../../services/integrationService'

export default async (req, res) => {
  new PermissionChecker(req).validateHas(Permissions.values.integrationCreate)

  new PermissionChecker(req).validateIntegrationsProtectedFields(req.body)

  const payload = await new IntegrationService(req).create(req.body)

  await req.responseHandler.success(req, res, payload)
}
